
<?php

// Replacement for gd_info() which is a function available only in PHP >= 4.3.0 
// Author: johnschaefer at gmx dot de
// Date: 10-Apr-2003 12:25
// URL: http://fr.php.net/manual/en/function.gd-info.php

$code = 'function gd_info() {
      $array = Array(
                      "GD Version" => "",
                      "FreeType Support" => 0,
                      "FreeType Support" => 0,
                      "FreeType Linkage" => "",
                      "T1Lib Support" => 0,
                      "GIF Read Support" => 0,
                     "GIF Create Support" => 0,
                    "JPG Support" => 0,
                      "PNG Support" => 0,
                      "WBMP Support" => 0,
                      "XBM Support" => 0
                     );
       $gif_support = 0;

      ob_start();
       eval("phpinfo();");
       $info = ob_get_contents();
       ob_end_clean();
     
      foreach(explode("\n", $info) as $line) {
          if(strpos($line, "GD Version")!==false)
              $array["GD Version"] = trim(str_replace("GD Version", "", strip_tags($line)));
           if(strpos($line, "FreeType Support")!==false)
              $array["FreeType Support"] = trim(str_replace("FreeType Support", "", strip_tags($line)));
          if(strpos($line, "FreeType Linkage")!==false)
              $array["FreeType Linkage"] = trim(str_replace("FreeType Linkage", "", strip_tags($line)));
          if(strpos($line, "T1Lib Support")!==false)
              $array["T1Lib Support"] = trim(str_replace("T1Lib Support", "", strip_tags($line)));
          if(strpos($line, "GIF Read Support")!==false)
              $array["GIF Read Support"] = trim(str_replace("GIF Read Support", "", strip_tags($line)));
          if(strpos($line, "GIF Create Support")!==false)
             $array["GIF Create Support"] = trim(str_replace("GIF Create Support", "", strip_tags($line)));
          if(strpos($line, "GIF Support")!==false)
              $gif_support = trim(str_replace("GIF Support", "", strip_tags($line)));
           if(strpos($line, "JPG Support")!==false)
               $array["JPG Support"] = trim(str_replace("JPG Support", "", strip_tags($line)));
           if(strpos($line, "PNG Support")!==false)
               $array["PNG Support"] = trim(str_replace("PNG Support", "", strip_tags($line)));
           if(strpos($line, "WBMP Support")!==false)
               $array["WBMP Support"] = trim(str_replace("WBMP Support", "", strip_tags($line)));
           if(strpos($line, "XBM Support")!==false)
               $array["XBM Support"] = trim(str_replace("XBM Support", "", strip_tags($line)));
       }
       
      if($gif_support==="enabled") {
           $array["GIF Read Support"]   = 1;
           $array["GIF Create Support"] = 1;
       }

       if($array["FreeType Support"]==="enabled"){
          $array["FreeType Support"] = 1;    }

      if($array["T1Lib Support"]==="enabled")
          $array["T1Lib Support"] = 1;    
     
      if($array["GIF Read Support"]==="enabled"){
         $array["GIF Read Support"] = 1;    }

      if($array["GIF Create Support"]==="enabled")
          $array["GIF Create Support"] = 1;    

      if($array["JPG Support"]==="enabled")
          $array["JPG Support"] = 1;
           
      if($array["PNG Support"]==="enabled")
          $array["PNG Support"] = 1;
           
      if($array["WBMP Support"]==="enabled")
          $array["WBMP Support"] = 1;
           
      if($array["XBM Support"]==="enabled")
          $array["XBM Support"] = 1;
       
       return $array;
   }';

if (!function_exists("gd_info")) { 
   eval($code);
}

// End of gd_info replacement.

// GD disponible ?
$gd = gd_info();
$isGDAvailable = $gd['JPG Support'];

//$album = $_GET['album'];


// Fonction qui renvoie le bon <IMG ....> complet.

function RenvoieImageTag($file) {

  global $album;
  global $w;
  global $h;
  global $wmoy;
  global $isGDAvailable;

  	if (! $w)
		$w = 128; //valeur par dfaut // Largeur voulue pour la miniature
  	if (! $h)
		$h = 96; //valeur par dfaut // Hauteur voulue pour la miniature

//  $w = 128; // Largeur voulue pour la miniature
//  $h = 96;  // Hauteur voulue pour la miniature
	if ($w < $h)
		{
    	$tmp = $h;
    	$h = $w;
    	$w = $tmp;		
		}
  $size = getimagesize("album/$album/$file");
  
  if ($size[0]<$size[1]) { // Si la photo est plus haute que large
    $tmp = $h;
    $h = $w;
    $w = $tmp;
  } elseif ($size[0]==$size[1])  { // Si la photo est carre
    $w = $h;
    
  }

  // Construction chaine avec hauteur/largeur de l'image
  $whstr = "WIDTH=\"$w\" HEIGHT=\"$h\""; 

  if (file_exists("album/$album/thumb/$file")) 
	{
    // Il existe un fichier "miniature" (soit cr avec GD, avec thumb ou soit cr  l'avance)
    return "<IMG BORDER=\"0\" SRC=\"album/$album/thumb/$file\" $whstr alt=\"$file\">";
  }  
	elseif ($isGDAvailable) 
	{
    // GD est dispo. on va calculer la miniature
    return "<IMG BORDER=\"0\" SRC=\"album/img_gd.php?album=$album&file=$file&h=$h&w=$w&wmoy=$wmoy\" $whstr alt=\"$file\">";
  } 
//	elseif (@exif_thumbnail("$album/$file", $width, $height, $type)) 
//	{
    // Il existe une miniature incluse dans le fichier JPEG
    //return "<IMG BORDER=\"0\" SRC=\"album/img_thumb.php?album=$album&file=$file\" $whstr alt=\"$file\">";
//  }
else 
	{  
    // Aucune des 3 premires solutions	, on utilise la "grande" image elle mme comme miniature
    //return "<IMG BORDER=\"0\" SRC=\"$file\" $whstr alt=\"$file\">";
  }

}

 if (!file_exists("album/$album/data.php")) {
   include("album/write_data.php");
 } else {
   include("album/$album/data.php");
 }

	if (! $nb_par_ligne)
		$nb_par_ligne=3; //valeur par dfaut

  // Ecriture liste des thumbs
  $total = sizeof($array);
echo "\n<table border=0 cellpadding=2>";
echo "\n<tr>";
  for ($i = 0; $i < $total; $i++) {
    echo "\t\n<td align=\"center\" class=\"standard\"><A HREF=\"album/page.php?album=$album&id=$i&cmt=1\" TARGET=\"$array[$i]\">";
 	$taille = (int)((filesize("album/$album/$array[$i]"))/1024);
 	//echo "$taille";
	$size = getimagesize("album/$album/$array[$i]");
	//echo "$size";
    echo RenvoieImageTag($array[$i]);
    echo "<br>$array[$i] - $taille Ko<br>Parcourir Album Taille Relle</A><br>Taille : $size[0] x $size[1]<br>\n";
    if ($wmoy<>0)
    {
    echo "\t\n<A HREF=\"album/page_mid.php?album=$album&id=$i&cmt=1\" TARGET=\"$array[$i]\">";
    $taille2 = (int)((filesize("album/$album/thumb_mid/$array[$i]"))/1024);
	 //echo "$taille";
	 $size2 = getimagesize("album/$album/thumb_mid/$array[$i]");
    echo "<br>$array[$i] - $taille2 Ko<br>Parcourir Album Taille Rduite</a><br>Taille : $size2[0] x $size2[1]<br><td>\n";
    }
    else
    {
    echo "<td>\n";
    }
	if ((($i+1)%$nb_par_ligne)==0) //$nb_par_ligne photos par ligne
	echo "</tr>\n<tr>";
  }
if (!((($i+1)%$nb_par_ligne)==0))
	echo "\n</tr>";
echo "\n</table>";

?>
